IPhysics: IMaterialCallback Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IMaterialCallback Class Reference

`#include <IMaterialCallback.h>`

List of all members.

## Public Member Functions

| IMaterialCallback ()
| Constructor for the class.
| ~IMaterialCallback ()
void | disableContact (bool disable)
| Disables the contact for this material.
unsigned | getContactFaceAttribute ()
| Returns the attribute the face with which the contact had occured.
f32 | getTimeStep ()
f32 | getContactNormalSpeed ()
f32 | getContactTangentSpeed (int tangentIndex)
vector3df | getContactPosition ()
vector3df | getContactNormal ()
vector3df | getContactForce ()
vector3df | getContactPrimaryTangent ()
vector3df | getContactSecondaryTangent ()
int | getBodyCollisionID ()
void | setContactSoftneess (f32 softness)
void | setContactElasticity (f32 elasticity)
void | setContactFriction (bool friction, int tangentIndex)
void | setContactStaticFriction (f32 staticFriction, int tangentIndex)
void | setContactKineticFriction (f32 kineticFriction, int tangentIndex)
void | setContactNormalAcceleration (f32 accel)
void | setContactNormalDirection (vector3df dir)
void | setContactTangentAcceleration (f32 accel, int tangentIndex)
void | contactRotateTangentDirections (vector3df alignVector)
virtual int | beginCallback ()
| User Callbacks.
virtual int | processCalback ()
virtual void | endCallback ()

## Static Public Member Functions

static int _cdecl | beginContact (const NewtonMaterial *material, const NewtonBody *body0, const NewtonBody *body1)
| Newton Callbacks.
static int _cdecl | processContact (const NewtonMaterial *material, const NewtonContact *contact)
static void _cdecl | endContact (const NewtonMaterial *material)

## Private Attributes

NewtonMaterial * | m_material
NewtonContact * | m_contact
NewtonBody * | m_body0
NewtonBody * | m_body1

## Constructor & Destructor Documentation

IMaterialCallback::IMaterialCallback | ( |  | ) |

Constructor for the class.

Material Manager Class //////////////////// This class handles all calls to newton material manager.

IMaterialCallback::~IMaterialCallback | ( |  | ) |

## Member Function Documentation

void IMaterialCallback::disableContact | ( | bool | disable | ) |

Disables the contact for this material.

unsigned IMaterialCallback::getContactFaceAttribute | ( |  | ) |

Returns the attribute the face with which the contact had occured.

f32 IMaterialCallback::getTimeStep | ( |  | ) |

f32 IMaterialCallback::getContactNormalSpeed | ( |  | ) |

f32 IMaterialCallback::getContactTangentSpeed | ( | int | tangentIndex | ) |

vector3df IMaterialCallback::getContactPosition | ( |  | ) |

vector3df IMaterialCallback::getContactNormal | ( |  | ) |

vector3df IMaterialCallback::getContactForce | ( |  | ) |

vector3df IMaterialCallback::getContactPrimaryTangent | ( |  | ) |

vector3df IMaterialCallback::getContactSecondaryTangent | ( |  | ) |

int IMaterialCallback::getBodyCollisionID | ( |  | ) |

void IMaterialCallback::setContactSoftneess | ( | f32 | softness | ) |

void IMaterialCallback::setContactElasticity | ( | f32 | elasticity | ) |

void IMaterialCallback::setContactFriction | ( | bool | friction,
|  | int | tangentIndex |
| ) |  |  |

void IMaterialCallback::setContactStaticFriction | ( | f32 | staticFriction,
|  | int | tangentIndex |
| ) |  |  |

void IMaterialCallback::setContactKineticFriction | ( | f32 | kineticFriction,
|  | int | tangentIndex |
| ) |  |  |

void IMaterialCallback::setContactNormalAcceleration | ( | f32 | accel | ) |

void IMaterialCallback::setContactNormalDirection | ( | vector3df | dir | ) |

void IMaterialCallback::setContactTangentAcceleration | ( | f32 | accel,
|  | int | tangentIndex |
| ) |  |  |

void IMaterialCallback::contactRotateTangentDirections | ( | vector3df | alignVector | ) |

virtual int IMaterialCallback::beginCallback | ( |  | ) | `[inline, virtual]`

User Callbacks.

virtual int IMaterialCallback::processCalback | ( |  | ) | `[inline, virtual]`

virtual void IMaterialCallback::endCallback | ( |  | ) | `[inline, virtual]`

int IMaterialCallback::beginContact | ( | const NewtonMaterial * | material,
|  | const NewtonBody * | body0,
|  | const NewtonBody * | body1 |
| ) |  |  | `[static]`

Newton Callbacks.

The default callback when any two materials without a user callback begin contact.

int IMaterialCallback::processContact | ( | const NewtonMaterial * | material,
|  | const NewtonContact * | contact |
| ) |  |  | `[static]`

The default callback when contact between any two materials without a user callback is to be processed.

void IMaterialCallback::endContact | ( | const NewtonMaterial * | material | ) | `[static]`

The default callback when any two materials without a user callback end contact.

## Member Data Documentation

NewtonMaterial* IMaterialCallback::m_material`[private]`

NewtonContact* IMaterialCallback::m_contact`[private]`

NewtonBody* IMaterialCallback::m_body0`[private]`

NewtonBody* IMaterialCallback::m_body1`[private]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IMaterialCallback.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IMaterialCallback.cpp